Package be.fgov.ehealth.certra.protocol.v2

# Class GenerateRevocationContractRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.GenerateRevocationContractRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GenerateRevocationContractRequest extends RequestType implements Serializable
Request element with all the data required for generating a revocation contract in XML format.

Java class for GenerateRevocationContractRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateRevocationContractRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
             <element name="Signer" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="RevocationReason" type="{urn:be:fgov:ehealth:certra:core:v2}RevocationReasonType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateRevocationContractRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getPublicKeyIdentifier()`
  The public key identifier of the authentication certificate for which you want to create the revocation contract.
  `RevocationReasonType`
  `getRevocationReason()`
  Reason chosen from the set of available reasons
  `ActorType`
  `getSigner()`
  The identifying information of the person that is going to digitally sign the revocation contract with his eID.
  `void`
  `setPublicKeyIdentifier(byte[] value)`
  Sets the value of the publicKeyIdentifier property.
  `void`
  `setRevocationReason(RevocationReasonType value)`
  Sets the value of the revocationReason property.
  `void`
  `setSigner(ActorType value)`
  Sets the value of the signer property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenerateRevocationContractRequest

    public GenerateRevocationContractRequest()

- ## Method Details

  - ### getPublicKeyIdentifier

    public byte[] getPublicKeyIdentifier()
    The public key identifier of the authentication certificate for which you want to create the revocation contract.
    Returns:
      possible object is `String`

  - ### setPublicKeyIdentifier

    public void setPublicKeyIdentifier(byte[] value)
    Sets the value of the publicKeyIdentifier property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPublicKeyIdentifier()`

  - ### getSigner

    public ActorType getSigner()
    The identifying information of the person that is going to digitally sign the revocation contract with his eID. The SignerPersons's name and SSIN must exactly match the ones of his eID for the contract to be valid.
    Returns:
      possible object is `ActorType`

  - ### setSigner

    public void setSigner(ActorType value)
    Sets the value of the signer property.
    Parameters:
      `value` - allowed object is `ActorType`
    See Also:
      - `getSigner()`

  - ### getRevocationReason

    public RevocationReasonType getRevocationReason()
    Reason chosen from the set of available reasons
    Returns:
      possible object is `RevocationReasonType`

  - ### setRevocationReason

    public void setRevocationReason(RevocationReasonType value)
    Sets the value of the revocationReason property.
    Parameters:
      `value` - allowed object is `RevocationReasonType`
    See Also:
      - `getRevocationReason()`